
<%--
  The Program materials contained in this file are IBM copyright materials.
  COPYRIGHT International Business Machines Corp. 2014
  All Rights Reserved * Licensed Materials - Property of IBM
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 --%>
<%@ page session="false" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta name="DC.Rights" content="Â© Copyright IBM Corp. 2014" />
  <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,minimum-scale=1,user-scalable=no" />
  <meta name="apple-mobile-web-app-capable" content="yes" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="apple-touch-fullscreen" content="yes" />

  <link href="login/images/favicon.ico" rel="icon" />
  <link href="login/images/favicon.ico" rel="shortcut icon" />
  <link href="login/images/apple-touch-icon.png" rel="apple-touch-icon" />
  <link href="login/login.css" rel="stylesheet"></link>

<%
    // TODO: In newer browsers, the lang could have a variant which is not handled by dojo. ex. zh-hant-tw
    // So, construct a "normal" lang-country from the locale
    // TODO: for some reason, getVariant() is returning the country so for now ...
    String userLocale = request.getLocale().getLanguage().toLowerCase();
    if (request.getLocale().getVariant().length() > 0) {
        userLocale += "-" + request.getLocale().getVariant().toLowerCase();
    } else if (request.getLocale().getCountry().length() > 0) {
        userLocale += "-" + request.getLocale().getCountry().toLowerCase();
    }
    String dojoConfigString = "locale: '" + userLocale + "'";
%>

  <script src="dojo/dojo.js" data-dojo-config="<%=dojoConfigString%>"></script>
  <script src="login/login-init.js"></script>
  <title id="loginTabTitle">Liberty Admin Center</title>
</head>
<body>
  <noscript>
    <div id="disabledJavaScriptBanner">
      <h2>Admin Center requires JavaScript. JavaScript is currently disabled.</h2>
      <h2>Enable JavaScript or use a browser which supports JavaScript.</h2>
    </div>
  </noscript>
  <img id="background-topleft" src="login/images/Login-topleft-TD.png" alt="">
  <div id="login">
    <div class="login-panel" role="main">
      <div class="login-header">
        <h1 id="loginTitle">Liberty Admin Center</h1>
      </div>
      <div class="login-form">
        <form action="j_security_check" method="POST">
          <!-- TOOD: on click or on focus, should clear the content -->
          <p>
            <input id="j_username" class="mblTextBox" name="j_username" type="text" placeholder="User Name" autocomplete="off" autocapitalize="off" required autofocus />
          </p>
          <p>
            <input id="j_password" class="mblTextBox" name="j_password" type="password" placeholder="Password" autocomplete="off" autocapitalize="off" required />
          </p>
          <div class="button-bar">
            <button id="loginButton" class="mblButton blue-btn" type="submit">Log In</button>
          </div>
          <button id="hiddenLoginFormSubmit" type="submit" hidden disabled>Log In</button>
        </form>
      </div>
      <div id="login-footer" class="login-footer"></div>
    </div>
  </div>
  
  <img id="background-bottomright" src="login/images/Login-bottomright-TD.png" alt="">
</body>
</html>
